Page MenuHomePhabricator

Map detail pane displays incorrect coordinates (greater than 180°)
Closed, ResolvedPublic

Description

If the Kartographer map is dragged beyond 180° E/W, then the degree of longitude displayed in the map details pane (top right) becomes higher than 180° instead of being (((longitude + 180°) mod 360°) − 180°).

Event Timeline

Jc86035 created this task.Jul 23 2017, 10:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2017, 10:08 AM
debt renamed this task from Kartographer displays incorrect coordinates to Map detail pane displays incorrect coordinates (greater than 180°).Jul 24 2017, 7:58 PM
debt triaged this task as High priority.
debt added a project: Maps-Sprint.
debt updated the task description. (Show Details)
Pnorman claimed this task.Jul 27 2017, 7:14 PM
Pnorman moved this task from Backlog to To-do on the Maps-Sprint board.
Pnorman removed Pnorman as the assignee of this task.Aug 3 2017, 7:18 PM
Pnorman added a subscriber: Pnorman.

Change 371740 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/Kartographer@master] Wrap the coordinates on the map when we retrieve them

https://gerrit.wikimedia.org/r/371740

Change 371740 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Wrap the coordinates on the map when we retrieve them

https://gerrit.wikimedia.org/r/371740

TheDJ claimed this task.Aug 13 2017, 8:27 PM
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from To-do to Done on the Maps-Sprint board.
TheDJ added a subscriber: debt.
debt added a subscriber: Gehel.Aug 13 2017, 8:32 PM

Hi @Gehel, this will need to be deployed, just a heads up. @TheDJ fixed it during the Hackathon in Montreal. :)

Yurik added a comment.Aug 13 2017, 8:38 PM

There is no more train??

Gehel added a comment.Aug 14 2017, 3:19 PM

Yep, there is still a train! I still don't know exactly how the magic works, but it should just work :)

debt added a comment.Aug 14 2017, 3:22 PM

Coolio—I had been expecting that the bot was going to tag this with the train it'll ride.

TheDJ closed this task as Resolved.Aug 21 2017, 10:16 AM